These endpoints are for sandbox only. They won’t work in production.
Simulate an ATM withdrawal authorisation
POST /v2/simulations/atm/withdrawal/authorization
Request
Use this request to simulate an ATM withdrawal authorisation.
curl -i -X POST \
'https://api.equalsmoney.com/v2/simulations/atm/withdrawal/authorization' \
-H 'Authorization: ApiKey YOUR_API_KEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"cardId": "9d3dee7c-19df-4b71-bbb9-521bb04307bf",
"amount": 10.00,
"network": "VISA",
"cardAcceptor": {
"mid": "string"
}
}'
Request body schema
The ID of the card to work with.Allowable values: An existing cardId (≤ 36 characters)
The amount of the transaction.Allowable values: A valid number (>= 0)
Details about the card acceptor.Allowable values: A valid cardAcceptor object containing the following field: midShow cardAcceptor properties
The Merchant Identifier (MID).Allowable values: ≤ 36 characters
Response
If your request is successful, you’ll receive a 201 response.
{
"type": "authorization.atm.withdrawal",
"state": "PENDING",
"token": "7bff9f48-8c68-4937-917a-bf7cf4f0de27",
"userToken": "f0d5cae0-fb3f-417f-8f1c-51c5fb66259a",
"cardToken": "53494ad2-6477-402c-9f6e-dd50ea11f851",
"response": {
"code": 0,
"memo": "Approved or completed successfully"
},
"createdTime": "2022-12-06T21:41:48Z",
"userTransactionTime": "2022-12-06T21:41:49Z",
"settlementDate": "2022-12-06T21:41:50Z",
"amount": 10.00,
"gpa": {
"ledgerBalance": 240.00,
"availableBalance": 240.00,
"impactedAmount": -10.00
},
"currencyCode": "GBP",
"currencyConversion": {
"originalAmount": 10.00,
"conversionRate": 1.00,
"originalCurrencyCode": 826
},
"precedingRelatedTransactionToken": "8a6d911e-cb3d-41d2-b843-5f9dc97d503c",
"network": "VISA",
"subnetwork": "VISANET",
"cardAcceptor": {
"mid": "11111",
"mcc": "6411",
"name": "EM",
"city": "Seattle",
"state": "WA",
"countryCode": "USA"
}
}
For more detailed information about this request and its response, see the API reference.
Simulate an ATM withdrawal authorisation clearing
POST /v2/simulations/atm/withdrawal/authorization/clearing
Request
Use this request to simulate an ATM withdrawal authorisation clearing.
curl -i -X POST \
'https://api.equalsmoney.com/v2/simulations/atm/withdrawal/authorization/clearing' \
-H 'Authorization: ApiKey YOUR_API_KEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"precedingRelatedTransactionToken": "9d3dee7c-19df-4b71-bbb9-521bb04307bf",
"amount": 10.00
}'
Request body schema
precedingRelatedTransactionToken
The token of the transaction to work with. This is the token received in the response to the authorisation request.Allowable values: A valid string
The authorisation clearing amount.Allowable values: A valid number (>= 0)
Response
If your request is successful, you’ll receive a 201 response.
{
"type": "authorization.clearing.atm.withdrawal",
"state": "COMPLETION",
"token": "7bff9f48-8c68-4937-917a-bf7cf4f0de27",
"userToken": "f0d5cae0-fb3f-417f-8f1c-51c5fb66259a",
"cardToken": "53494ad2-6477-402c-9f6e-dd50ea11f851",
"response": {
"code": 0,
"memo": "Approved or completed successfully"
},
"createdTime": "2022-12-06T21:41:48Z",
"userTransactionTime": "2022-12-06T21:41:49Z",
"settlementDate": "2022-12-06T21:41:50Z",
"amount": 10.00,
"gpa": {
"ledgerBalance": 240.00,
"availableBalance": 240.00,
"impactedAmount": -10.00
},
"currencyCode": "GBP",
"currencyConversion": {
"originalAmount": 10.00,
"conversionRate": 1.00,
"originalCurrencyCode": 826
},
"precedingRelatedTransactionToken": "8a6d911e-cb3d-41d2-b843-5f9dc97d503c",
"network": "VISA",
"subnetwork": "VISANET",
"cardAcceptor": {
"mid": "11111",
"mcc": "6411",
"name": "EM",
"city": "Seattle",
"state": "WA",
"countryCode": "USA"
}
}
For more detailed information about this request and its response, see the API reference.